Package org.apache.synapse.transport.nhttp

# Class HttpCoreNIOSSLSender

java.lang.Object
org.apache.axis2.handlers.AbstractHandler
org.apache.synapse.transport.nhttp.HttpCoreNIOSender
org.apache.synapse.transport.nhttp.HttpCoreNIOSSLSender

All Implemented Interfaces:
  `org.apache.axis2.engine.Handler`, `org.apache.axis2.transport.base.ManagementSupport`, `org.apache.axis2.transport.TransportSender`, `SSLProfileLoader`

public class HttpCoreNIOSSLSender extends HttpCoreNIOSender implements SSLProfileLoader

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from interface org.apache.axis2.engine.Handler

  `org.apache.axis2.engine.Handler.InvocationResponse`

- ## Field Summary

  ### Fields inherited from class org.apache.axis2.handlers.AbstractHandler

  `handlerDesc`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `HttpCoreNIOSSLSender()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `init(org.apache.axis2.context.ConfigurationContext cfgCtx, org.apache.axis2.description.TransportOutDescription transportOut)`
  Initialize the transport sender, and execute reactor in new separate thread
  `protected ClientConnFactoryBuilder`
  `initConnFactoryBuilder(org.apache.axis2.description.TransportOutDescription transportOut, org.apache.axis2.context.ConfigurationContext configurationContext)`
  `void`
  `reloadConfig(org.apache.axis2.description.ParameterInclude transport)`
  Reload SSL profiles and reset connections in HttpCoreNIOSSLSender

  ### Methods inherited from class org.apache.synapse.transport.nhttp.HttpCoreNIOSender

  `cleanup, getActiveThreadCount, getAvgSizeReceived, getAvgSizeSent, getBytesReceived, getBytesSent, getFaultsReceiving, getFaultsSending, getLastResetTime, getMaxSizeReceived, getMaxSizeSent, getMessagesReceived, getMessagesSent, getMetricsWindow, getMinSizeReceived, getMinSizeSent, getQueueSize, getResponseCodeTable, getTimeoutsReceiving, getTimeoutsSending, invoke, maintenenceShutdown, pause, reload, resetStatistics, resume, stop`

  ### Methods inherited from class org.apache.axis2.handlers.AbstractHandler

  `cleanup, flowComplete, getHandlerDesc, getName, getParameter, init, toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

  ### Methods inherited from interface org.apache.axis2.engine.Handler

  `cleanup, flowComplete, getHandlerDesc, getName, getParameter, init`

  ### Methods inherited from interface org.apache.axis2.transport.TransportSender

  `onAppError`

- ## Constructor Details

  - ### HttpCoreNIOSSLSender

    public HttpCoreNIOSSLSender()

- ## Method Details

  - ### init

    public void init(org.apache.axis2.context.ConfigurationContext cfgCtx, org.apache.axis2.description.TransportOutDescription transportOut) throws org.apache.axis2.AxisFault
    Description copied from class: `HttpCoreNIOSender`
    Initialize the transport sender, and execute reactor in new separate thread
    Specified by:
      `init` in interface `org.apache.axis2.transport.TransportSender`
    Overrides:
      `init` in class `HttpCoreNIOSender`
    Parameters:
      `cfgCtx` - the Axis2 configuration context
      `transportOut` - the description of the http/s transport from Axis2 configuration
    Throws:
      `org.apache.axis2.AxisFault` - thrown on an error

  - ### initConnFactoryBuilder

    protected ClientConnFactoryBuilder initConnFactoryBuilder(org.apache.axis2.description.TransportOutDescription transportOut, org.apache.axis2.context.ConfigurationContext configurationContext) throws org.apache.axis2.AxisFault
    Overrides:
      `initConnFactoryBuilder` in class `HttpCoreNIOSender`
    Throws:
      `org.apache.axis2.AxisFault`

  - ### reloadConfig

    public void reloadConfig(org.apache.axis2.description.ParameterInclude transport) throws org.apache.axis2.AxisFault
    Reload SSL profiles and reset connections in HttpCoreNIOSSLSender
    Specified by:
      `reloadConfig` in interface `SSLProfileLoader`
    Parameters:
      `transport` - TransportOutDescription of the configuration
    Throws:
      `org.apache.axis2.AxisFault`